[Buildroot] [PATCH] wget: Depends on libuuid

Baruch Siach baruch at tkos.co.il
Tue Jul 1 10:07:27 UTC 2014


Hi Alexander,
On Tue, Jul 01, 2014 at 01:55:35PM +0400, Alexander Potashev wrote:
> В письме от 1 июля 2014 11:35:49 пользователь Thomas Petazzoni написал:
> > However, it indeed seems to be a possible optional dependency of wget,
> > in which case what you want is the following addition in wget.mk:
> > 
> > ifeq ($(BR2_PACKAGE_UTIL_LINUX_LIBUUID),y)
> > WGET_DEPENDENCIES += util-linux
> > endif
> 
> Looks good, although one could argue if keeping *_DEPENDENCIES up-to-date is 
> important when we also have dependency assurance in Config.in.

No. These are two different levels of dependencies. Config.in 'select' 
determines which packages are to be built. You need this for mandatory 
dependencies. The per package $(PKG)_DEPENDENCIES determines the ORDER of the 
build. $(PKG)_DEPENDENCIES should list both mandatory AND optional 
dependencies to get a reproducible result.

baruch

-- 
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - baruch at tkos.co.il - tel: +972.2.679.5364, http://www.tkos.co.il -



More information about the buildroot mailing list